Subject: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Po Lu <[email-masked]>
Date: Thu, 26 Oct 2023 09:41:08 +0800

Jim Porter <[email-masked]> writes:

> This is helpful. The bit about 'setq' seemed a bit roundabout (to say
> the least), and while I can see how it might help explain 'let' to a
> novice, it's probably more likely to mislead them instead.
>
> I'll start with a patch here then. I think this is also a prime spot
> to add an example or two that would actually show lexical binding in
> action (i.e. a sample where the code would do something different
> under dynamic binding).
>
> - Jim

Does anyone recall the # of the previous bug report this subject was
last explored in detail in?  Where IIRC this boiled down to the absence
of someone like Bob Chassell?